package com.ruoyi.zongzhi.service;

import com.ruoyi.zongzhi.domain.TcSgjTj;

import java.util.List;

/**
 * 安全监测受攻击统计Service接口
 *
 * @author ruoyi
 * @date 2023-09-13
 */
public interface ITcSgjTjService {
    /**
     * 查询安全监测受攻击统计
     *
     * @param id 安全监测受攻击统计主键
     * @return 安全监测受攻击统计
     */
    public TcSgjTj selectTcSgjTjById(Long id);

    /**
     * 查询安全监测受攻击统计列表
     *
     * @param tcSgjTj 安全监测受攻击统计
     * @return 安全监测受攻击统计集合
     */
    public List<TcSgjTj> selectTcSgjTjList(TcSgjTj tcSgjTj);

    /**
     * 新增安全监测受攻击统计
     *
     * @param tcSgjTj 安全监测受攻击统计
     * @return 结果
     */
    public int insertTcSgjTj(TcSgjTj tcSgjTj);

    /**
     * 修改安全监测受攻击统计
     *
     * @param tcSgjTj 安全监测受攻击统计
     * @return 结果
     */
    public int updateTcSgjTj(TcSgjTj tcSgjTj);

    /**
     * 批量删除安全监测受攻击统计
     *
     * @param ids 需要删除的安全监测受攻击统计主键集合
     * @return 结果
     */
    public int deleteTcSgjTjByIds(Long[] ids);

    /**
     * 删除安全监测受攻击统计信息
     *
     * @param id 安全监测受攻击统计主键
     * @return 结果
     */
    public int deleteTcSgjTjById(Long id);
}
